# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.exception.AssertionFailureException

Packages that use AssertionFailureException
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.

## Uses of AssertionFailureException in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client that throw AssertionFailureException
Modifier and Type
Method
Description
`AssertionResult`
WebAuthnAuthenticationClient.`validateAuthenticatorAssertionResponse(String username, byte[] userId, com.yubico.webauthn.data.PublicKeyCredentialRequestOptions publicKeyCredentialRequestOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> publicKeyCredentialAssertionResponse)`
Validate the PublicKeyCredential authenticator assertion response from an authentication request.

## Uses of AssertionFailureException in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl that throw AssertionFailureException
Modifier and Type
Method
Description
`AssertionResult`
YubicoWebAuthnAuthenticationClient.`validateAuthenticatorAssertionResponse(String username, byte[] userId, com.yubico.webauthn.data.PublicKeyCredentialRequestOptions publicKeyCredentialRequestOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> authenticatorAssertionResponse)`

## Uses of AssertionFailureException in net.shibboleth.idp.plugin.authn.webauthn.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that throw AssertionFailureException
Modifier and Type
Method
Description
`private void`
ValidateWebAuthnAssertion.`updateLastUsedTime(String username, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> assertion)`
Update the last used time of the credential to `Instant.now()`.
`private void`
ValidateWebAuthnAssertion.`updateSignatureCount(String username, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> assertion)`
Take the new signature count from the authenticator assertion response and update the stored credential with that value.